Page MenuHomePhabricator

debugcommands: add assertions to convince pytype peer is not None
ClosedPublic

Authored by durin42 on Nov 14 2019, 4:10 PM.

Details

Summary

This function is moderately annoyingly defined, and peer is set up iff we're
not in raw-proto mode. That's fine, but it confuses pytype. Adding these
assertions is a low-overhead way to convince pytype we're doing reasonable
things.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durin42 created this revision.Nov 14 2019, 4:10 PM
dlax accepted this revision.Nov 15 2019, 6:11 AM
durin42 updated this revision to Diff 18158.Nov 15 2019, 11:32 AM
indygreg accepted this revision.Nov 18 2019, 10:45 PM
This revision is now accepted and ready to land.Nov 18 2019, 10:45 PM